Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Class NRandomAccessFile

    java.lang.Object
      |
      +--com.novell.java.io.RandomAccess
            |
            +--com.novell.service.file.nw.NRandomAccessFile

public class NRandomAccessFile
extends RandomAccess

Opens a random access on a NetWare file.

NRandomAccessFile extends RandomAccess by adding convenience constructors for the various custom parameters.

The DataAccessableParameters class can also be used by the user application layer to obtain constant flags for the various constructors of this class, or it can instantiate a DataAccessableParameters object and pass it into the RandomAccessor constructor.

See Also:
  `RandomAccess`, `DataAccessableParameters`

Constructor Summary
`NRandomAccessFile(DataAccessable accessor)` Constructs a NRandomAccessFile object using default parameters.
`NRandomAccessFile(DataAccessable accessor, int openFlags)` Constructs a NRandomAccessFile object using the openFlags parameter.
`NRandomAccessFile(DataAccessable accessor, int openFlags, int dataSelector)` Constructs a NRandomAccessFile object using the openFlags and dataSelector parameters.
`NRandomAccessFile(java.lang.String name, DataAccessable accessor)` Constructs a subordinate NRandomAccessFile object using the default parameters.
`NRandomAccessFile(java.lang.String name, DataAccessable accessor, int openFlags)` Constructs a subordinate NRandomAccessFile object using the openFlags parameter.
`NRandomAccessFile(java.lang.String name, DataAccessable accessor, int openFlags, int dataSelector)` Constructs a subordinate NRandomAccessFile object using the openFlags and dataSelector parameters.

Methods inherited from class com.novell.java.io.RandomAccess
`close, getPosition, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, setDataAccessor, setLength, setPosition, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NRandomAccessFile

    public NRandomAccessFile(DataAccessable accessor)
                      throws java.io.IOException

  Constructs a NRandomAccessFile object using default parameters.

  Open a random access through the specified DataAccessable object, using default parameters.

  Parameters:
    `accessor` - The DataAccessable object that will be called to open the random access.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    RandomAccessNotSupportedException - if the accessor does not support random access.

### NRandomAccessFile

    public NRandomAccessFile(DataAccessable accessor,
                             int openFlags)
                      throws java.io.IOException

  Constructs a NRandomAccessFile object using the openFlags parameter.

  Given an openFlags object, opens a random access through the specified DataAccessable object.

  Parameters:
    `accessor` - The DataAccessable object that will be called to open the random access.
    `openFlags` - The flags that are used in opening the access in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    RandomAccessNotSupportedException - If the accessor does not support random access.

### NRandomAccessFile

    public NRandomAccessFile(DataAccessable accessor,
                             int openFlags,
                             int dataSelector)
                      throws java.io.IOException

  Constructs a NRandomAccessFile object using the openFlags and dataSelector parameters.

  Given openFlags and dataSelector objects, opens a random access through the specified DataAccessable object.

  Parameters:
    `accessor` - The DataAccessable object that will be called to open the access.
    `openFlags` - The flags that are used in opening the access in different modes.
    `dataSelector` - An integral value that allows the individual forks on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    RandomAccessNotSupportedException - If the accessor does not support random access.

### NRandomAccessFile

    public NRandomAccessFile(java.lang.String name,
                             DataAccessable accessor)
                      throws java.io.IOException

  Constructs a subordinate NRandomAccessFile object using the default parameters.

  Open a subordinate random access through the specified DataAccessable object, using default parameters.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The DataAccessable object that will be called to open the random access.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    RandomAccessNotSupportedException - If the accessor does not support random access.

### NRandomAccessFile

    public NRandomAccessFile(java.lang.String name,
                             DataAccessable accessor,
                             int openFlags)
                      throws java.io.IOException

  Constructs a subordinate NRandomAccessFile object using the openFlags parameter.

  Given an openFlags object, opens a subordinate random access through the specified DataAccessable object.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The DataAccessable object that will be called to open the random access.
    `openFlags` - The flags that are used in opening the access in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    RandomAccessNotSupportedException - If the accessor does not support random access.

### NRandomAccessFile

    public NRandomAccessFile(java.lang.String name,
                             DataAccessable accessor,
                             int openFlags,
                             int dataSelector)
                      throws java.io.IOException

  Constructs a subordinate NRandomAccessFile object using the openFlags and dataSelector parameters.

  Given openFlags and dataSelector objects, opens a subordinate random access through the specified DataAccessable object.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The DataAccessable object that will be called to open the access.
    `openFlags` - The flags that are used in opening the access in different modes.
    `dataSelector` - An integral value that allows the individual forks on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    RandomAccessNotSupportedException - If the accessor does not support random access.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD